﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Bar 클래스 : SortByLabels 메소드를 사용해 X축 레이블 역순 정렬하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Bar bar = new Bar(this.tChart.Chart);

            bar.BarStyle = BarStyles.Cylinder;
            bar.Color    = Color.FromArgb(191, 0, 0, 128);

            bar.Add( 323, "John"  );
            bar.Add( 222, "Anne"  );
            bar.Add( 456, "Matt"  );
            bar.Add( 188, "Sean"  );
            bar.Add( 701, "Andrew");
            bar.Add( 411, "Marc"  );

            bar.SortByLabels(ValueListOrder.Descending);
        }

        #endregion
    }
}